Package edu.msu.cme.rdp.classifier.cli

# Class CmdOptions

java.lang.Object
edu.msu.cme.rdp.classifier.cli.CmdOptions

public class CmdOptions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BIOMFILE_DESC`
`static final String`
`BIOMFILE_LONG_OPT`
`static final String`
`BIOMFILE_SHORT_OPT`
`static final String`
`BOOTSTRAP_DESC`
`static final String`
`BOOTSTRAP_LONG_OPT`
`static final String`
`BOOTSTRAP_OUTFILE_DESC`
`static final String`
`BOOTSTRAP_OUTFILE_LONG_OPT`
`static final String`
`BOOTSTRAP_OUTFILE_SHORT_OPT`
`static final String`
`BOOTSTRAP_SHORT_OPT`
`static float`
`DEFAULT_CONF`
`static ClassificationResultFormatter.FORMAT`
`DEFAULT_FORMAT`
`static String`
`DEFAULT_GENE`
`static final String`
`FORMAT_DESC`
`static final String`
`FORMAT_LONG_OPT`
`static final String`
`FORMAT_SHORT_OPT`
`static final String`
`GENE_DESC`
`static final String`
`GENE_LONG_OPT`
`static final String`
`GENE_SHORT_OPT`
`static final String`
`HIER_OUTFILE_DESC`
`static final String`
`HIER_OUTFILE_LONG_OPT`
`static final String`
`HIER_OUTFILE_SHORT_OPT`
`static final String`
`METADATA_DESC`
`static final String`
`METADATA_LONG_OPT`
`static final String`
`METADATA_SHORT_OPT`
`static final String`
`MIN_BOOTSTRAP_WORDS_LONG_OPT`
`static final String`
`MIN_BOOTSTRAP_WORDS_SHORT_OPT`
`static final String`
`MIN_WORDS_DESC`
`static final String`
`OUTFILE_DESC`
`static final String`
`OUTFILE_LONG_OPT`
`static final String`
`OUTFILE_SHORT_OPT`
`static final String`
`QUERYFILE_DESC`
`static final String`
`QUERYFILE_LONG_OPT`
`static final String`
`QUERYFILE_SHORT_OPT`
`static final String`
`RANK_LONG_OPT`
`static final String`
`RANK_SHORT_OPT`
`static final String`
`SAMPLE_LONG_OPT`
`static final String`
`SHORTSEQ_OUTFILE_DESC`
`static final String`
`SHORTSEQ_OUTFILE_LONG_OPT`
`static final String`
`SHORTSEQ_OUTFILE_SHORT_OPT`
`static final String`
`TAXON_LONG_OPT`
`static final String`
`TAXON_SHORT_OPT`
`static final String`
`TRAINPROPFILE_DESC`
`static final String`
`TRAINPROPFILE_LONG_OPT`
`static final String`
`TRAINPROPFILE_SHORT_OPT`

## Constructor Summary

Constructors
Constructor
Description
`CmdOptions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_FORMAT

public static ClassificationResultFormatter.FORMAT DEFAULT_FORMAT

### DEFAULT_CONF

public static float DEFAULT_CONF

### DEFAULT_GENE

public static String DEFAULT_GENE

### QUERYFILE_LONG_OPT

public static final String QUERYFILE_LONG_OPT

See Also:
  - Constant Field Values

### OUTFILE_LONG_OPT

public static final String OUTFILE_LONG_OPT

See Also:
  - Constant Field Values

### TRAINPROPFILE_LONG_OPT

public static final String TRAINPROPFILE_LONG_OPT

See Also:
  - Constant Field Values

### FORMAT_LONG_OPT

public static final String FORMAT_LONG_OPT

See Also:
  - Constant Field Values

### GENE_LONG_OPT

public static final String GENE_LONG_OPT

See Also:
  - Constant Field Values

### MIN_BOOTSTRAP_WORDS_LONG_OPT

public static final String MIN_BOOTSTRAP_WORDS_LONG_OPT

See Also:
  - Constant Field Values

### HIER_OUTFILE_LONG_OPT

public static final String HIER_OUTFILE_LONG_OPT

See Also:
  - Constant Field Values

### BOOTSTRAP_LONG_OPT

public static final String BOOTSTRAP_LONG_OPT

See Also:
  - Constant Field Values

### RANK_LONG_OPT

public static final String RANK_LONG_OPT

See Also:
  - Constant Field Values

### TAXON_LONG_OPT

public static final String TAXON_LONG_OPT

See Also:
  - Constant Field Values

### BOOTSTRAP_OUTFILE_LONG_OPT

public static final String BOOTSTRAP_OUTFILE_LONG_OPT

See Also:
  - Constant Field Values

### SHORTSEQ_OUTFILE_LONG_OPT

public static final String SHORTSEQ_OUTFILE_LONG_OPT

See Also:
  - Constant Field Values

### BIOMFILE_LONG_OPT

public static final String BIOMFILE_LONG_OPT

See Also:
  - Constant Field Values

### SAMPLE_LONG_OPT

public static final String SAMPLE_LONG_OPT

See Also:
  - Constant Field Values

### METADATA_LONG_OPT

public static final String METADATA_LONG_OPT

See Also:
  - Constant Field Values

### QUERYFILE_SHORT_OPT

public static final String QUERYFILE_SHORT_OPT

See Also:
  - Constant Field Values

### OUTFILE_SHORT_OPT

public static final String OUTFILE_SHORT_OPT

See Also:
  - Constant Field Values

### TRAINPROPFILE_SHORT_OPT

public static final String TRAINPROPFILE_SHORT_OPT

See Also:
  - Constant Field Values

### FORMAT_SHORT_OPT

public static final String FORMAT_SHORT_OPT

See Also:
  - Constant Field Values

### GENE_SHORT_OPT

public static final String GENE_SHORT_OPT

See Also:
  - Constant Field Values

### MIN_BOOTSTRAP_WORDS_SHORT_OPT

public static final String MIN_BOOTSTRAP_WORDS_SHORT_OPT

See Also:
  - Constant Field Values

### HIER_OUTFILE_SHORT_OPT

public static final String HIER_OUTFILE_SHORT_OPT

See Also:
  - Constant Field Values

### BOOTSTRAP_SHORT_OPT

public static final String BOOTSTRAP_SHORT_OPT

See Also:
  - Constant Field Values

### RANK_SHORT_OPT

public static final String RANK_SHORT_OPT

See Also:
  - Constant Field Values

### TAXON_SHORT_OPT

public static final String TAXON_SHORT_OPT

See Also:
  - Constant Field Values

### BOOTSTRAP_OUTFILE_SHORT_OPT

public static final String BOOTSTRAP_OUTFILE_SHORT_OPT

See Also:
  - Constant Field Values

### SHORTSEQ_OUTFILE_SHORT_OPT

public static final String SHORTSEQ_OUTFILE_SHORT_OPT

See Also:
  - Constant Field Values

### BIOMFILE_SHORT_OPT

public static final String BIOMFILE_SHORT_OPT

See Also:
  - Constant Field Values

### METADATA_SHORT_OPT

public static final String METADATA_SHORT_OPT

See Also:
  - Constant Field Values

### QUERYFILE_DESC

public static final String QUERYFILE_DESC

See Also:
  - Constant Field Values

### OUTFILE_DESC

public static final String OUTFILE_DESC

See Also:
  - Constant Field Values

### TRAINPROPFILE_DESC

public static final String TRAINPROPFILE_DESC

See Also:
  - Constant Field Values

### FORMAT_DESC

public static final String FORMAT_DESC

### GENE_DESC

public static final String GENE_DESC

### MIN_WORDS_DESC

public static final String MIN_WORDS_DESC

See Also:
  - Constant Field Values

### HIER_OUTFILE_DESC

public static final String HIER_OUTFILE_DESC

See Also:
  - Constant Field Values

### BOOTSTRAP_DESC

public static final String BOOTSTRAP_DESC

### BOOTSTRAP_OUTFILE_DESC

public static final String BOOTSTRAP_OUTFILE_DESC

See Also:
  - Constant Field Values

### SHORTSEQ_OUTFILE_DESC

public static final String SHORTSEQ_OUTFILE_DESC

See Also:
  - Constant Field Values

### BIOMFILE_DESC

public static final String BIOMFILE_DESC

See Also:
  - Constant Field Values

### METADATA_DESC

public static final String METADATA_DESC

See Also:
  - Constant Field Values

## Constructor Details

### CmdOptions

public CmdOptions()